# -*- coding: utf-8 -*-
from setuphelpers import *

bin_name_x86 = "FontReg32.exe"
bin_name_x64 = "FontReg64.exe"
fonts_path = os.path.abspath("fonts")


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    version = control.get_software_version()

    # Downloading latest binaries
    if not isfile(bin_name_x64):
        print("Downloading: %s" % bin_name_x64)
        wget("https://raw.githubusercontent.com/jason-jxc/FontReg/master/bin.x86-64/FontReg.exe", makepath(fonts_path, bin_name_x64), proxies=proxies)
    if not isfile(bin_name_x86):
        print("Downloading: %s" % bin_name_x86)
        wget("https://raw.githubusercontent.com/jason-jxc/FontReg/master/bin.x86-32/FontReg.exe", makepath(fonts_path, bin_name_x86), proxies=proxies)

    # Downloading fonts
    if not isfile("Inconsolata.zip"):
        print("Downloading: %s" % "Inconsolata.zip")
        wget("https://fonts.google.com/download?family=Inconsolata", "Inconsolata.zip", proxies=proxies)

    # Changing version of the package
    if Version(version, 4) > Version(control.get_software_version(), 4):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        package_updated = True
    else:
        print("Software version up-to-date (%s)" % Version(version))
    control.set_software_version(version)
    control.save_control_to_wapt()

    # Deleting outdated binaries
    remove_outdated_binaries(version)

    # Validating or not update-package-sources
    return package_updated
